using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PredefinedGroupDescriptors_WPF
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            List<Person> persons = new List<Person>();
            persons.Add(new Person() { Age = 30, Name = "John" });
            persons.Add(new Person() { Age = 40, Name = "John" });
            persons.Add(new Person() { Age = 50, Name = "Jane" });
            persons.Add(new Person() { Age = 60, Name = "Jane" });
            persons.Add(new Person() { Age = 70, Name = "Jane" });

            this.RadGridView1.ItemsSource = persons;
        }
    }

    public class Person
    {
        public int Age { get; set; }
        public string Name { get; set; }
    }
}
